#!/usr/bin/python
#
# A sample python-session on creating a Product (You need to be located in the
# MakeProduct/ directory):
#
# $Id: example2.py,v 1.4 2001/07/30 06:49:06 erik Exp $
# $Source: /cvs/make_product/examples/example2.py,v $
__version__='$Revision: 1.4 $'[11:-2]

"""A verbose example"""

import builder

gpl = open('licenses/GPL').read() % {'author': 'Erik Enge',
                                     'authored_year': '2001',
                                     'author_email': 'erik@thingamy.net'}

my_product = builder.zope_product_builder(id='TestProduct', license=gpl)

my_product.add_klass(builder.klass_builder(
    id='test_klass', meta_type='test_klass', license=my_product.license))
print "klasses", my_product.list_klasses()

klas = my_product.get_klass('test_klass')
klas.add_subklass(builder.klass_builder(
    id='other_klass', meta_type='other_klass', license=my_product.license))
print "subklasses", klas.list_subklasses()

klas.add_property(builder.property_builder(id='title'))
klas.add_property(builder.property_builder(
    id='count', type='int', default=0))
klas.add_property(builder.property_builder(
    id='states', type='tokens', default=[]))
print "properties", klas.list_properties()
print "methods", klas.list_methods()



