#!/usr/bin/python

# $Id: example3.py,v 1.3 2001/07/23 07:56:19 erik Exp $
# $Source: /cvs/make_product/examples/example3.py,v $
__version__='$Revision: 1.3 $'[11:-2]

"""Sets up a zope_product with a bunch of klasses and subklasses and
then prints the render_class_structure()"""

import builder

zope_product = builder.zope_product_builder(id='product_id')
zope_product.add_klass(builder.klass_builder(id='klass1'))
zope_product.add_klass(builder.klass_builder(id='klass2'))
zope_product.add_klass(builder.klass_builder(id='klass3'))
zope_product.add_klass(builder.klass_builder(id='klass4'))
zope_product.add_klass(builder.klass_builder(id='klass5'))

klass = zope_product.get_klass('klass4')
klass.add_subklass(builder.klass_builder(id='subklass1'))
klass.add_subklass(builder.klass_builder(id='subklass2'))
klass.add_subklass(builder.klass_builder(id='subklass3'))
klass.add_subklass(builder.klass_builder(id='subklass4'))
klass.add_subklass(builder.klass_builder(id='subklass5'))

klass = zope_product.get_klass('klass1')
klass.add_subklass(builder.klass_builder(id='subklass1'))
klass.add_subklass(builder.klass_builder(id='subklass2'))

subklass = klass.get_subklass('subklass2')
subklass.add_subklass(builder.klass_builder(id='subsubklass1'))
subklass.add_subklass(builder.klass_builder(id='subsubklass2'))
subklass.add_subklass(builder.klass_builder(id='subsubklass3'))

print zope_product.render_class_structure()
