"""A script to run all unit tests in the tests/ directory"""

# $Id: all_tests.py,v 1.1 2001/07/23 07:58:19 erik Exp $
# $Source: /cvs/make_product/tests/all_tests.py,v $
__version__ = "$Revision: 1.1 $"[11:-2]

import unittest

def test_suite():
    modules_to_test = ('tests.test_product', 'tests.test_klass',
                       'tests.test_method', 'tests.test_property',
                       'tests.test_utils')
    alltests = unittest.TestSuite()
    # *blech*  Dirty hack.
    for mod in modules_to_test:
        for module in map(__import__, (mod,), '', '', ['*']):
            try:
                alltests.addTest(module.test_suite())
            except AttributeError:
                pass
    return alltests

def run_tests():
    """Run all tests collected"""
    runner = unittest.TextTestRunner()
    runner.run(test_suite())

if __name__ == '__main__':
    run_tests()
